Skip to main content

Create Lead: Entrata

POSThttps://api.propexo.com/v1/leads/entrata/
Method
leads/sendLeads
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit

    lease_period_idstring

    The Propexo unique identifier for the lease period

    employee_idstring

    The Propexo unique identifier for the employee

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    phone_1string

    Primary phone number associated with the lead. This is often required, but this is configurable to be optional by the property manager. Make sure this is being provided if it's configured to be required for your customer.

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    middle_namestring

    The middle name associated with the lead

    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    target_move_in_datestring<date-time>

    The move-in date associated with the lead

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsinteger

    The minimum rent cost the lead is looking to pay, in cents

    desired_num_bathroomsnumber

    The desired number of bathrooms

    desired_num_bedroomsnumber

    The desired number of bedrooms

    number_of_occupantsinteger

    The number of occupants living in the unit

    notesstring

    Notes associated with the lead

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    lease_period_idstring | nullnullablerequired

    The Propexo unique identifier for the lease period

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    phone_1string | nullnullablerequired

    Primary phone number associated with the lead. This is often required, but this is configurable to be optional by the property manager. Make sure this is being provided if it's configured to be required for your customer.

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    address_1string | nullnullablerequired

    The first address line associated with the lead

    address_2string | nullnullablerequired

    The second address line associated with the lead

    citystring | nullnullablerequired

    The city associated with the lead

    statestring | nullnullablerequired

    The state associated with the lead

    zipstring | nullnullablerequired

    The zip code associated with the lead

    target_move_in_date(string | null)<date-time>nullablerequired

    The move-in date associated with the lead

    desired_max_rent_in_centsinteger | nullnullablerequired

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsinteger | nullnullablerequired

    The minimum rent cost the lead is looking to pay, in cents

    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    desired_num_bedroomsnumber | nullnullablerequired

    The desired number of bedrooms

    number_of_occupantsinteger | nullnullablerequired

    The number of occupants living in the unit

    notesstring | nullnullablerequired

    Notes associated with the lead

    events object[]required
  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired
    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leads/entrata/
curl -X POST https://api.propexo.com/v1/leads/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lead_source_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"middle_name": "string",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"number_of_occupants": 0,
"notes": "string",
"events": "Unknown Type: array,null"
}
}